<template>
	<view class="content" :rise-fall="stocksColor">
		<!-- 头部 -->
		<headContent>
			<template #left>
				<loginStatus></loginStatus>
			</template>
			<template #content>
				<view class="haed-title">
					<image src="../../static/images/logo.png" mode="aspectFit"></image>
					<image src="../../static/images/name.png" mode="aspectFit"></image>
				</view>
			</template>
			<template #right>
				<message></message>
				<share></share>
			</template>
		</headContent>
		<!-- 轮播图 -->
		<carousels :BannerList="BannerList"></carousels>

		<!-- 滚动消息 -->
		<rollMessage :rollMsg="Announcement"></rollMessage>

		<view style="width: 100%;height: 1rpx;"></view>
		<!-- usdt -->
		<usdt></usdt>

		<view style="width: 100%;height: 8rpx;"></view>

		<!-- 快捷买币 -->
		<shortcut></shortcut>

		<view style="width: 100%;height: 8rpx;"></view>
		<!-- 快捷菜单 -->
		<navMuen></navMuen>


		<view style="width: 100%;height: 8rpx;"></view>

		<!-- 自选 / 市场 -->
		<market :market="quotationNew"></market>
	</view>
</template>

<script>
	import loginStatus from "@/components/headModules/login.vue"
	import message from "@/components/headModules/message.vue"
	import share from "@/components/headModules/share.vue"
	import usdt from "./modules/usdt.vue"
	import shortcut from "./modules/shortcut.vue"
	import navMuen from "./modules/nav.vue"
	import market from "./modules/market.vue"

	import {
		Api_getNewsList,
		Api_getQuotationNew
	} from "@/api/index.js"

	import {
		mapGetters
	} from 'vuex'
	export default {
		components: {
			loginStatus,
			message,
			share,
			usdt,
			shortcut,
			navMuen,
			market
		},
		data() {
			return {
				title: 'Hello',
				BannerList: [],
				Announcement: [],
				quotationNew:[]
			}
		},
		computed: {
			...mapGetters([
				'stocksColor'
			]),
		},
		onLoad() {
			// console.log('process.env.NODE_ENV = ' , process.env.NODE_ENV)
			this.getBanner();
			this.getAnnouncement();
			this.getQuotationNew()
		},
		methods: {
			// 获取banner
			getBanner() {
				Api_getNewsList({
					cid: 5,
					limit: 10
				}).then(res => {
					this.BannerList = res.list
				})
			},
			// 获取公告
			getAnnouncement() {
				Api_getNewsList({
					cid: 3,
					limit: 10
				}).then(res => {
					this.Announcement = res.list
				})
			},
			// 获取行情 / 首页推荐
			getQuotationNew() {
				Api_getQuotationNew().then(res => {
					this.quotationNew = res
				}).catch(err => {

				})
			}
		}
	}
</script>

<style lang="scss" scoped>
	.content {
		// padding: 0 30rpx;
	}

	.haed-title {

		image {
			width: 85rpx;
			height: 67rpx;
		}
	}
</style>